com.corticon.rulesemf.canonicaltestmodel.ruletest

## Interface RuletestPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface RuletestPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `RuletestFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `RuletestPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static RuletestPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `RULETEST` The meta object id for the '`Ruletest`' class
    `static int` | `RULETEST__TESTSHEETS` The feature id for the 'Testsheets' reference list
    `static int` | `RULETEST__VOCABULARY` The feature id for the 'Vocabulary' reference
    `static int` | `RULETEST__VOCABULARY_UPDATE_STAMP` The feature id for the 'Vocabulary Update Stamp' attribute
    `static int` | `RULETEST_FEATURE_COUNT` The number of structural features of the 'Ruletest' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getRuletest_Testsheets()` Returns the meta object for the reference list '`Testsheets`'
    `org.eclipse.emf.ecore.EReference` | `getRuletest_Vocabulary()` Returns the meta object for the reference '`Vocabulary`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuletest_VocabularyUpdateStamp()` Returns the meta object for the attribute '`Vocabulary Update Stamp`'
    `org.eclipse.emf.ecore.EClass` | `getRuletest()` Returns the meta object for class '`Ruletest`'
    `RuletestFactory` | `getRuletestFactory()` Returns the factory that creates the instances of the model

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final RuletestPackage eINSTANCE

      The singleton instance of the package.

    - #### RULETEST

          static final int RULETEST

      The meta object id for the '`Ruletest`' class.
      See Also:
        `RuletestImpl`, `RuletestPackageImpl.getRuletest()`, Constant Field Values

    - #### RULETEST__VOCABULARY_UPDATE_STAMP

          static final int RULETEST__VOCABULARY_UPDATE_STAMP

      The feature id for the 'Vocabulary Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST__TESTSHEETS

          static final int RULETEST__TESTSHEETS

      The feature id for the 'Testsheets' reference list.
      See Also:
        Constant Field Values

    - #### RULETEST__VOCABULARY

          static final int RULETEST__VOCABULARY

      The feature id for the 'Vocabulary' reference.
      See Also:
        Constant Field Values

    - #### RULETEST_FEATURE_COUNT

          static final int RULETEST_FEATURE_COUNT

      The number of structural features of the 'Ruletest' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRuletest

          org.eclipse.emf.ecore.EClass getRuletest()

      Returns the meta object for class '`Ruletest`'.
      Returns:
        the meta object for class 'Ruletest'.
      See Also:
        `Ruletest`

    - #### getRuletest_VocabularyUpdateStamp

          org.eclipse.emf.ecore.EAttribute getRuletest_VocabularyUpdateStamp()

      Returns the meta object for the attribute '`Vocabulary Update Stamp`'.
      Returns:
        the meta object for the attribute 'Vocabulary Update Stamp'.
      See Also:
        `Ruletest.getVocabularyUpdateStamp()`, `getRuletest()`

    - #### getRuletest_Testsheets

          org.eclipse.emf.ecore.EReference getRuletest_Testsheets()

      Returns the meta object for the reference list '`Testsheets`'.
      Returns:
        the meta object for the reference list 'Testsheets'.
      See Also:
        `Ruletest.getTestsheets()`, `getRuletest()`

    - #### getRuletest_Vocabulary

          org.eclipse.emf.ecore.EReference getRuletest_Vocabulary()

      Returns the meta object for the reference '`Vocabulary`'.
      Returns:
        the meta object for the reference 'Vocabulary'.
      See Also:
        `Ruletest.getVocabulary()`, `getRuletest()`

    - #### getRuletestFactory

          RuletestFactory getRuletestFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.